Skip to main content
`Ctrl`+`K`

# k_random_intersection_graph

k_random_intersection_graph(n, m, k, seed=None)

  Returns a intersection graph with randomly chosen attribute sets for each node that are of equal size (k).

  Parameters:
    n int

      The number of nodes in the first bipartite set (nodes)

    m int

      The number of nodes in the second bipartite set (attributes)

    k float

      Size of attribute set to assign to each node.

    seed integer, random_state, or None (default)

      Indicator of random number generation state. See Randomness.

  See also

  `gnp_random_graph`, `uniform_random_intersection_graph`

  References

  [1]

  Godehardt, E., and Jaworski, J. Two models of random intersection graphs and their applications. Electronic Notes in Discrete Mathematics 10 (2001), 129–132.